App\Library\Amazon\Classes\Lens:
    xml_root_name: Lens
    properties:
        cameraType:
            expose: true
            access_type: public_method
            serialized_name: CameraType
            accessor:
                getter: getCameraType
                setter: setCameraType
            type: string
        minFocalLength:
            expose: true
            access_type: public_method
            serialized_name: MinFocalLength
            accessor:
                getter: getMinFocalLength
                setter: setMinFocalLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        maxFocalLength:
            expose: true
            access_type: public_method
            serialized_name: MaxFocalLength
            accessor:
                getter: getMaxFocalLength
                setter: setMaxFocalLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        lensType:
            expose: true
            access_type: public_method
            serialized_name: LensType
            accessor:
                getter: getLensType
                setter: setLensType
            type: string
        focusType:
            expose: true
            access_type: public_method
            serialized_name: FocusType
            accessor:
                getter: getFocusType
                setter: setFocusType
            type: string
        features:
            expose: true
            access_type: public_method
            serialized_name: Features
            accessor:
                getter: getFeatures
                setter: setFeatures
            xml_list:
                inline: true
                entry_name: Features
            type: array<string>
